# MimeTypeSerializer

@Serializer(forClass = MimeType::class )
object MimeTypeSerializer : KSerializer< MimeType > (source)

Serializer for MimeType that serializes MIME types as their raw string representation. Uses the mimeType factory function to create appropriate MimeType instances during deserialization, which will return known MIME types when available or create CustomMimeType for unknown types.

## Properties

descriptor
Link copied to clipboard
open override val descriptor : SerialDescriptor

## Functions

deserialize
Link copied to clipboard
open override fun deserialize (decoder: Decoder): MimeType
mapDeserialization
Link copied to clipboard
inline fun < I : Any , O > DeserializationStrategy< I >. mapDeserialization (noinline deserialize: ( I ) -> O ): MapperDeserializationStrategy < I , O >

Will create MapperDeserializationStrategy to allow you to map I to O using deserialize lambda during deserialization process

mapFullSerialization
Link copied to clipboard
inline fun < I : Any , O > KSerializer< I >. mapFullSerialization (noinline serialize: ( O ) -> I , noinline deserialize: ( I ) -> O ): MapperSerializer < I , O >

Will create MapperSerializer to allow you to map O to I and vice verse using serialize/deserialize lambda during serialization/deserialization process

mapSerialization
Link copied to clipboard
inline fun < I : Any , O > SerializationStrategy< I >. mapSerialization (noinline serialize: ( O ) -> I ): MapperSerializationStrategy < I , O >

Will create MapperSerializationStrategy to allow you to map O to I using serialize lambda during serialization process

serialize
Link copied to clipboard
open override fun serialize (encoder: Encoder, value: MimeType )